{
  "name": "Gj-react-frame",
  "version": "2.0.0",
  "description": "new project",
  "main": "index.js",
  "engines": {
    "node": ">=7.0.0",
    "npm": "^3.0.0"
  },
  "scripts": {
    "init": "npm run i && npm run other && npm run ln",
    "ln": "cd node_modules && rm -rf @src && ln -s ../src @src",
    "i": "npm i --registry=https://registry.npm.taobao.org",
    "other": "better-npm-run other",
    "compile": "better-npm-run compile",
    "start": "better-npm-run start",
    "static": "better-npm-run static",
    "deploy": "better-npm-run deploy",
    "deploy:test": "better-npm-run deploy:test",
    "deploy:prod": "better-npm-run deploy:prod"
  },
  "betterScripts": {
    "other": {
      "command": "node bin/other",
      "env": {
        "NODE_ENV": "production",
        "DEBUG": "app:*"
      }
    },
    "compile": {
      "command": "node bin/compile",
      "env": {
        "DEBUG": "app:*"
      }
    },
    "deploy": {
      "command": "npm run compile",
      "env": {
        "NODE_ENV": "development",
        "DEBUG": "app:*"
      }
    },
    "deploy:test": {
      "command": "npm run compile",
      "env": {
        "NODE_ENV": "test",
        "DEBUG": "app:*"
      }
    },
    "deploy:prod": {
      "command": "npm run deploy",
      "env": {
        "NODE_ENV": "production",
        "DEBUG": "app:*"
      }
    },
    "start": {
      "command": "node bin/start",
      "env": {
        "NODE_ENV": "development",
        "DEBUG": "app:*"
      }
    },
    "static": {
      "command": "node bin/static",
      "env": {
        "NODE_ENV": "development",
        "DEBUG": "app:*"
      }
    }
  },
  "dependencies": {
    "antd": "^3.11.6",
    "antd-mobile": "^2.2.7",
    "echarts": "^4.2.1",
    "echarts-for-react": "^2.0.15-beta.0",
    "fastclick": "^1.0.6",
    "history": "^4.7.2",
    "moment": "^2.22.2",
    "promise": "^7.1.1",
    "react": "^16.6.3",
    "react-addons-css-transition-group": "^15.6.2",
    "react-contextmenu": "^2.10",
    "react-dom": "^16.6.3",
    "react-quill": "^1.3.3",
    "react-redux": "^4.4.5",
    "react-router-dom": "^4.3.1",
    "redbox-react": "^1.6.0",
    "redux": "^3.6.0",
    "redux-thunk": "^2.0.0",
    "sortablejs": "^1.10.0-rc2",
    "superagent": "^3.4.1",
    "url": "^0.11.0"
  },
  "devDependencies": {
    "@hot-loader/react-dom": "^16.8.4",
    "babel-core": "^6.17.0",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^6.2.5",
    "babel-plugin-import": "^1.11.0",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-transform-runtime": "^6.15.0",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-react": "^6.24.1",
    "babel-preset-stage-0": "^6.24.1",
    "babel-runtime": "^6.26.0",
    "better-npm-run": "0.0.11",
    "clean-webpack-plugin": "^0.1.17",
    "connect-history-api-fallback": "^1.3.0",
    "css-loader": "^0.25.0",
    "cssnano": "^3.7.4",
    "debug": "^2.2.0",
    "eslint": "^5.15.1",
    "eslint-config-airbnb-base": "^13.1.0",
    "eslint-config-standard-react": "^4.0.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-loader": "^1.9.0",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-react": "^6.0.0",
    "express": "^4.14.0",
    "extract-text-webpack-plugin": "^2.1.2",
    "file-loader": "^0.9.0",
    "fs-extra": "^0.30.0",
    "html-webpack-plugin": "^2.22.0",
    "http-proxy-middleware": "^0.17.3",
    "imports-loader": "^0.6.5",
    "json-loader": "^0.5.4",
    "less": "^2.7.2",
    "less-loader": "^2.2.3",
    "postcss-loader": "^0.13.0",
    "postcss-pxtorem": "^4.0.0",
    "react-hot-loader": "^4.8.0",
    "style-loader": "^0.13.1",
    "svg-sprite-loader": "^0.3.0",
    "url-loader": "^0.5.6",
    "webpack": "^3.8.1",
    "webpack-dev-middleware": "^1.12.1",
    "webpack-dev-server": "^2.9.4",
    "webpack-hot-middleware": "^2.20.0",
    "yaml-loader": "^0.5.0"
  }
}
